LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XPresentation Interface Referencepublished

With this interface you can control any object that implements a Presentation. More...

`import"XPresentation.idl";`

Inheritance diagram for XPresentation:

## Public Member Functions
void | start ()
| The presentation is shown in full-screen and started from the beginning. More...
void | end ()
| The presentation is stopped and the full-screen mode will end. More...
void | rehearseTimings ()
| Starts the presentation from the beginning and shows the actual running time to the user. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

With this interface you can control any object that implements a Presentation.

Developers Guide
  Drawings and Presentations - Presentation Settings
  Drawings and Presentations - Working with Presentation Documents

## Member Function Documentation

## ◆ end()

void end | ( |  | ) |

The presentation is stopped and the full-screen mode will end.

## ◆ rehearseTimings()

void rehearseTimings | ( |  | ) |

Starts the presentation from the beginning and shows the actual running time to the user.

## ◆ start()

void start | ( |  | ) |

The presentation is shown in full-screen and started from the beginning.

The documentation for this interface was generated from the following file:

- com/sun/star/presentation/XPresentation.idl